GNU logs - #21634, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: 24.5; Suggested improvement
Resent-From: Eli Barzilay <eli@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 06 Oct 2015 12:05:01 +0000
Resent-Message-ID: <handler.21634.B.144413306410409 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 21634 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.144413306410409
          (code B ref -1); Tue, 06 Oct 2015 12:05:01 +0000
Received: (at submit) by debbugs.gnu.org; 6 Oct 2015 12:04:24 +0000
Received: from localhost ([127.0.0.1]:56068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjQym-0002ho-5i
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 08:04:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44593)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eli@HIDDEN>) id 1ZjQyj-0002hf-IJ
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 08:04:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eli@HIDDEN>) id 1ZjQyi-0000YE-DJ
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 08:04:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41630)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eli@HIDDEN>) id 1ZjQyi-0000YA-AF
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 08:04:20 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54594)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eli@HIDDEN>) id 1ZjQyd-0008Mk-8h
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 08:04:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eli@HIDDEN>) id 1ZjQya-0000R0-1k
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 08:04:15 -0400
Received: from mail-qg0-f54.google.com ([209.85.192.54]:36604)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eli@HIDDEN>) id 1ZjQyZ-0000Pj-Ta
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2015 08:04:11 -0400
Received: by qgx61 with SMTP id 61so172030866qgx.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 06 Oct 2015 05:04:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:mime-version:content-type
 :content-transfer-encoding:message-id:date:to:subject;
 bh=GhTMm5nN9wYtIxwcToYKwk5v/tRh5yOp+WNsUyahXrM=;
 b=BATst2zzDiyJftHj+Aq7PZZ95AsUrAlPxbNTP0J+4yeK44w8m9pGBLgfr/MtLcyQkJ
 1HuXIXaW6000mwUZjRUE8++QgS9BlvoYZWa3DfN/z2TiSdTtFEhdHPkliU3hX5vU5DIF
 Yz9/SdfR0VOpV6jBJrDpWVMElA5EoFDmCrRNCeWeh9Kl+kcu42B25U1fSjTs1g2Mg4NO
 qVkDTPd9CIHdOIcSSJ/Kx1EsSZB9EpSFsbhMJWLbTzBCpdUKEH3nsrQV9gK1WXkMKBq8
 2mybwmz8kt1OGU2Yj40RYBuENQh4ea6ooyEjSQ0rkNRSNsmx2dP08BdX0qwhIQ48NUk8
 ZsYA==
X-Gm-Message-State: ALoCoQmELAXTZclYzXST7UH/xjQrIho5yjOg4TTnHVV128t2ZNRb2MjRYWn9JdQB2/JXfdmFbxYc
X-Received: by 10.140.19.227 with SMTP id 90mr45505215qgh.51.1444133050960;
 Tue, 06 Oct 2015 05:04:10 -0700 (PDT)
Received: from BARZILAY ([199.48.244.137])
 by smtp.gmail.com with ESMTPSA id f7sm13704581qka.41.2015.10.06.05.04.09
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Oct 2015 05:04:10 -0700 (PDT)
From: Eli Barzilay <eli@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <22035.47283.76000.848103@HIDDEN>
Date: Tue, 6 Oct 2015 08:04:03 -0400
X-Mailer: VM 8.2.0a under 24.5.1 (i686-pc-mingw32)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Would it make sense to implement `text-scale-adjust' as follows?  One
minor change is using the `keep-pred' argument to avoid re-setting the
map repeatedly, but the important change is having it timeout after a
few seconds.  This avoids the kind of mode-ish interaction that feels
weird in Emacs.

In fact, I find this useful in other cases too (a command that allows
you to resize the current window with the arrow keys), so I think that
it's useful to either add an additional timeout argument -- or perhaps
an extension where `keep-pred' can be a number of seconds and will do
the timeout thing.

-------------------------------------------------------------------------------
(defun text-scale-adjust (inc)
  "..."
  (interactive "p")
  (let ((ev last-command-event)
	(echo-keystrokes nil))
    (let* ((base (event-basic-type ev))
           (step
            (pcase base
              ((or ?+ ?=) inc)
              (?- (- inc))
              (?0 0)
              (_ inc))))
      (text-scale-increase step)
      (message "Use +,-,0 for further adjustment")
      (run-with-idle-timer 2 nil
        (set-transient-map
         (let ((map (make-sparse-keymap)))
           (dolist (mods '(() (control)))
             (dolist (key '(?- ?+ ?= ?0)) ;; = is often unshifted +.
               (define-key map (vector (append mods (list key)))
                 (lambda () (interactive) (text-scale-adjust (abs inc))))))
           map)
         t (lambda () (message "done")))))))
-------------------------------------------------------------------------------

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Eli Barzilay <eli@HIDDEN>
Subject: bug#21634: Acknowledgement (24.5; Suggested improvement)
Message-ID: <handler.21634.B.144413306410409.ack <at> debbugs.gnu.org>
References: <22035.47283.76000.848103@HIDDEN>
X-Gnu-PR-Message: ack 21634
X-Gnu-PR-Package: emacs
Reply-To: 21634 <at> debbugs.gnu.org
Date: Tue, 06 Oct 2015 12:05:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 21634 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
21634: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D21634
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: 24.5; Suggested improvement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 06 Oct 2015 14:59:01 +0000
Resent-Message-ID: <handler.21634.B21634.144414352826552 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Barzilay <eli@HIDDEN>
Cc: 21634 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.144414352826552
          (code B ref 21634); Tue, 06 Oct 2015 14:59:01 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Oct 2015 14:58:48 +0000
Received: from localhost ([127.0.0.1]:57236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjThY-0006uB-4f
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 10:58:48 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:38442)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZjThV-0006u2-Jp
 for 21634 <at> debbugs.gnu.org; Tue, 06 Oct 2015 10:58:46 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NVT00D0004SWD00@HIDDEN> for 21634 <at> debbugs.gnu.org;
 Tue, 06 Oct 2015 17:58:43 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NVT00DT909VSS40@HIDDEN>;
 Tue, 06 Oct 2015 17:58:43 +0300 (IDT)
Date: Tue, 06 Oct 2015 17:58:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <22035.47283.76000.848103@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83d1wsxcuz.fsf@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Eli Barzilay <eli@HIDDEN>
> Date: Tue, 6 Oct 2015 08:04:03 -0400
> 
> Would it make sense to implement `text-scale-adjust' as follows?  One
> minor change is using the `keep-pred' argument to avoid re-setting the
> map repeatedly, but the important change is having it timeout after a
> few seconds.  This avoids the kind of mode-ish interaction that feels
> weird in Emacs.

FWIW, such modus operandi always annoys me.  Why should I be under
pressure to do whatever is needed to prevent the setting from being
reset?

I don't really understand what's the problem with "mode-ish
operation", feel free to elaborate.

If there's demand for resetting the size, I guess we could have it as
optional behavior.

> In fact, I find this useful in other cases too (a command that allows
> you to resize the current window with the arrow keys), so I think that
> it's useful to either add an additional timeout argument -- or perhaps
> an extension where `keep-pred' can be a number of seconds and will do
> the timeout thing.

The user can always scale the size back when she wants, right?  Or am
I missing something?




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Oct 2015 17:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 13:28:41 2015
Received: from localhost ([127.0.0.1]:57339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjW2b-0006m0-8l
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2015 13:28:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39968)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1ZjW2Y-0006lo-Ac
 for control <at> debbugs.gnu.org; Tue, 06 Oct 2015 13:28:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ZjVL2-0008CV-S9
 for control <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:44:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 T_RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([208.118.235.10]:44280)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ZjVL2-0008AA-2m
 for control <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:43:40 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1ZjVL1-0001yG-Q6
 for control <at> debbugs.gnu.org; Tue, 06 Oct 2015 12:43:39 -0400
Subject: control message for bug 21634
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1ZjVL1-0001yG-Q6@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Tue, 06 Oct 2015 12:43:39 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 208.118.235.10
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

retitle 21634 text-scale-adjust suggestion




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: 24.5; Suggested improvement
Resent-From: Eli Barzilay <eli@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 22 Oct 2015 06:07:02 +0000
Resent-Message-ID: <handler.21634.B21634.14454940206706 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.14454940206706
          (code B ref 21634); Thu, 22 Oct 2015 06:07:02 +0000
Received: (at 21634) by debbugs.gnu.org; 22 Oct 2015 06:07:00 +0000
Received: from localhost ([127.0.0.1]:60156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zp91f-0001k5-Tr
	for submit <at> debbugs.gnu.org; Thu, 22 Oct 2015 02:07:00 -0400
Received: from mail-io0-f180.google.com ([209.85.223.180]:34361)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eli@HIDDEN>) id 1Zp91d-0001jv-JF
 for 21634 <at> debbugs.gnu.org; Thu, 22 Oct 2015 02:06:58 -0400
Received: by iow1 with SMTP id 1so81425743iow.1
 for <21634 <at> debbugs.gnu.org>; Wed, 21 Oct 2015 23:06:57 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=UsQfozfyTXwZX4iXIxGA76VqGxxq5lS51socNu8Y6RI=;
 b=aP48i7no2biq+FmtgSzVqyPB992hKx801hg2jOacnekDWJkKW0owdo8c1HuOBHsOTw
 kNJp+8Z4Ouh7/l0iEt9xQKLx/up6g8K4S5jeB3lMKncDMivTzRkkH0h23AQPB7Qv0T58
 2FHOwZHq67IqG4E02mXAz3LNRzCaMtmrvSgmN3N5fwzRwrvjg/dZx+EBufMdG+HiasPQ
 B0LcrupRn+iYq4eObLbnvp4IvhSpaebnRGYIjSCeYoPM85l3D8KhWtqT4LY3Ib6odi1q
 AyXerC7EKCKOhoty1RdsVI3gD0irjgwKESFJlVsmXfXjImndkhzzYVVS3JzDB0rfuY4h
 1Jig==
X-Gm-Message-State: ALoCoQkWGBsrBg7ofR2U6Fm3MLwZ9Pd6hv2YKJTwq3ETRhQJ7ZwdZDJWxHQ+epnbWEqkvP2SPuW4
MIME-Version: 1.0
X-Received: by 10.107.15.17 with SMTP id x17mr8040626ioi.196.1445494017091;
 Wed, 21 Oct 2015 23:06:57 -0700 (PDT)
Received: by 10.79.28.211 with HTTP; Wed, 21 Oct 2015 23:06:57 -0700 (PDT)
In-Reply-To: <83d1wsxcuz.fsf@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
Date: Thu, 22 Oct 2015 02:06:57 -0400
Message-ID: <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
From: Eli Barzilay <eli@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.3 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Tue, Oct 6, 2015 at 10:58 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: Eli Barzilay <eli@HIDDEN>
>> Date: Tue, 6 Oct 2015 08:04:03 -0400
>>
>> Would it make sense to implement `text-scale-adjust' as follows?  One
>> minor change is using the `keep-pred' argument to avoid re-setting
>> the map repeatedly, but the important change is having it timeout
>> after a few seconds.  This avoids the kind of mode-ish interaction
>> that feels weird in Emacs.
>
> FWIW, such modus operandi always annoys me.  Why should I be under
> pressure to do whatever is needed to prevent the setting from being
> reset?
>
> I don't really understand what's the problem with "mode-ish
> operation", feel free to elaborate.

Well, I suspect that I'm annoyed at the other direction: whenever I go
into the text-scaling mode, I try to remember to explicitly break it at
the end, so that I won't leave emacs in that state by mistake and be
surpries when I come back to it hours later (which actually happened to
me once, possibly putting me on this side of that fence).  OTOH, if the
delay is long enough, there is never any time pressure that I run into,
and it's easy to see when the timer kicked in by the echo area message
disappearing.


> If there's demand for resetting the size, I guess we could have it as
> optional behavior.

That's why I suggested the below extension to the meaning of the
`keep-pred` argument: specifying a timeout if it's a number.  Then there
could be a new global variable that specifies a default for that
argument, so with nil you get a single resize only (so you need to do
the full C-x C-= to resize further), with t you get the current
behavior, and with a number I get my timeout.

(I'm also suggesting it because I have a similarly "moded" function that
uses `set-transient-map' -- it seems like a good idea to me to specify a
default behavior for all such transient maps, so my function behaves in
the same way as text scaling.)


>> In fact, I find this useful in other cases too (a command that allows
>> you to resize the current window with the arrow keys), so I think that
>> it's useful to either add an additional timeout argument -- or perhaps
>> an extension where `keep-pred' can be a number of seconds and will do
>> the timeout thing.
>
> The user can always scale the size back when she wants, right?  Or am
> I missing something?

(Hopefully the above clarified it.  I'm talking about the resulting
interaction and how convenient it is, unrelated to being able to scale
things back.)

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: 24.5; Suggested improvement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 23 Oct 2015 08:25:01 +0000
Resent-Message-ID: <handler.21634.B21634.14455886513524 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Barzilay <eli@HIDDEN>
Cc: 21634 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.14455886513524
          (code B ref 21634); Fri, 23 Oct 2015 08:25:01 +0000
Received: (at 21634) by debbugs.gnu.org; 23 Oct 2015 08:24:11 +0000
Received: from localhost ([127.0.0.1]:33741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZpXdy-0000um-Sk
	for submit <at> debbugs.gnu.org; Fri, 23 Oct 2015 04:24:11 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:65266)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZpXdw-0000uc-Df
 for 21634 <at> debbugs.gnu.org; Fri, 23 Oct 2015 04:24:09 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NWN00100ZAZGU00@HIDDEN> for 21634 <at> debbugs.gnu.org;
 Fri, 23 Oct 2015 11:24:06 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NWN0010LZC67BB0@HIDDEN>;
 Fri, 23 Oct 2015 11:24:06 +0300 (IDT)
Date: Fri, 23 Oct 2015 11:24:10 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83d1w6ro0l.fsf@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 22 Oct 2015 02:06:57 -0400
> From: Eli Barzilay <eli@HIDDEN>
> Cc: 21634 <at> debbugs.gnu.org
> 
> > If there's demand for resetting the size, I guess we could have it as
> > optional behavior.
> 
> That's why I suggested the below extension to the meaning of the
> `keep-pred` argument: specifying a timeout if it's a number.  Then there
> could be a new global variable that specifies a default for that
> argument, so with nil you get a single resize only (so you need to do
> the full C-x C-= to resize further), with t you get the current
> behavior, and with a number I get my timeout.

Would you like to send a patch along these lines?  If you decide to go
for it, please accompany the change with a suitable entry in
etc/NEWS.  Bonus points if you also provide a patch for the section in
the Emacs manual ("Text Scale") that describes this feature.

TIA




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 03 Sep 2021 11:04:02 +0000
Resent-Message-ID: <handler.21634.B21634.163066698516289 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Barzilay <eli@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.163066698516289
          (code B ref 21634); Fri, 03 Sep 2021 11:04:02 +0000
Received: (at 21634) by debbugs.gnu.org; 3 Sep 2021 11:03:05 +0000
Received: from localhost ([127.0.0.1]:43116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM6yP-0004Ef-GX
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 07:03:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mM6yN-0004E0-GS
 for 21634 <at> debbugs.gnu.org; Fri, 03 Sep 2021 07:03:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bJ3kIJhqDnLADvkc1oNFAwEhj8Q6HLxmoV087KsDXLk=; b=M/VWZ1IqjFzgO4F8K2Y3HFQbHg
 EI2cJWtyg6324XwFwgJoiZyoYi671TS/l0EXnwNv4Ov2KgJhG/UzGbgznLG59coA12+IRZb/OpXot
 CTCbkmvMdvhEKd1Y9145ZoapfV08DZe0G8jBW6IPAGhWmubI0m14fkHWLqipMl5ROrPA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mM6yE-00066e-4O; Fri, 03 Sep 2021 13:02:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
Date: Fri, 03 Sep 2021 13:02:53 +0200
In-Reply-To: <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 (Eli Barzilay's message of "Thu, 22 Oct 2015 02:06:57 -0400")
Message-ID: <87zgstyl9e.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Barzilay <eli@HIDDEN> writes: > Well, I suspect
 that I'm annoyed at the other direction: whenever I go > into the text-scaling
 mode, I try to remember to explicitly break it at > the end, so that I won't
 leave emacs in that state [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Barzilay <eli@HIDDEN> writes:

> Well, I suspect that I'm annoyed at the other direction: whenever I go
> into the text-scaling mode, I try to remember to explicitly break it at
> the end, so that I won't leave emacs in that state by mistake and be
> surpries when I come back to it hours later (which actually happened to
> me once, possibly putting me on this side of that fence).  OTOH, if the
> delay is long enough, there is never any time pressure that I run into,
> and it's easy to see when the timer kicked in by the echo area message
> disappearing.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

We now have something similar in the form of `repeat-exit-timeout'
(which defaults to "no timeout").  Perhaps it would make sense to use
this in `text-scale-adjust'?  Any opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 3 Sep 2021 11:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 07:03:08 2021
Received: from localhost ([127.0.0.1]:43119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM6yS-0004Ev-OO
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 07:03:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mM6yR-0004EE-I7
 for control <at> debbugs.gnu.org; Fri, 03 Sep 2021 07:03:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=w+vNvYKoGz/ptufZbk9wA4I2NPQq0oj2zoULJA+pYjs=; b=Czb88Qp0v54p7xwEQGre6svMaQ
 R+DYgB979WwZKp4xzLit51xGtbY69dJ/Lcj76p1daP8ekun4xrVkX9ohXpCKmVCkxKr1uArB6mKWo
 d2DbyMYv8sF2WAkavy0+12Khks5HSGIR93/rmXvCY+Hdt4fwq+vnLAYSotHLAynVadu4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mM6yJ-00067H-PE
 for control <at> debbugs.gnu.org; Fri, 03 Sep 2021 13:03:01 +0200
Date: Fri, 03 Sep 2021 13:02:59 +0200
Message-Id: <87y28dyl98.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #21634
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 21634 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 21634 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 03 Sep 2021 16:21:02 +0000
Resent-Message-ID: <handler.21634.B21634.1630686061888 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.1630686061888
          (code B ref 21634); Fri, 03 Sep 2021 16:21:02 +0000
Received: (at 21634) by debbugs.gnu.org; 3 Sep 2021 16:21:01 +0000
Received: from localhost ([127.0.0.1]:45811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBw4-0000EG-Pt
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:21:00 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:39891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mMBw3-0000E2-VE
 for 21634 <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:21:00 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 679451C0003;
 Fri,  3 Sep 2021 16:20:51 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN>
Date: Fri, 03 Sep 2021 19:13:45 +0300
In-Reply-To: <87zgstyl9e.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Fri, 03 Sep 2021 13:02:53 +0200")
Message-ID: <871r65ab7q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Well, I suspect that I'm annoyed at the other direction: whenever I go
>> into the text-scaling mode, I try to remember to explicitly break it at
>> the end, so that I won't leave emacs in that state by mistake and be
>> surpries when I come back to it hours later (which actually happened to
>> me once, possibly putting me on this side of that fence).  OTOH, if the
>> delay is long enough, there is never any time pressure that I run into,
>> and it's easy to see when the timer kicked in by the echo area message
>> disappearing.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> We now have something similar in the form of `repeat-exit-timeout'
> (which defaults to "no timeout").  Perhaps it would make sense to use
> this in `text-scale-adjust'?  Any opinions?

Indeed, text-scale-adjust could be trivially modified to use
repeat-map that supports repeat-exit-timeout.  But the problem is
that this feature is available only when repeat-mode is enabled.
Maybe not a problem to enable it when the user wants repeatable keys.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 04 Sep 2021 06:55:01 +0000
Resent-Message-ID: <handler.21634.B21634.163073845622059 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Juri Linkov <juri@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.163073845622059
          (code B ref 21634); Sat, 04 Sep 2021 06:55:01 +0000
Received: (at 21634) by debbugs.gnu.org; 4 Sep 2021 06:54:16 +0000
Received: from localhost ([127.0.0.1]:46297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMPZ9-0005jj-TN
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:54:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mMPZ8-0005jX-Dm
 for 21634 <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:54:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YvZdfpuMfPIYfgFg/Ah3KmJKQlxzKbLwjm570EaLo0U=; b=FsoDQ6U7OsQkNsECr/sxK2dRoO
 Rxf2TQnLHrgKXTLoQfJCsWjGNJRe29HVVdrIzuGRtDjLzmnJmXFptaNHGsh7SSntRX9sdVKVRE/Q/
 JKeiAeh128j24I3oL459PtZ3/CAgjvkHZ1iMIjq4UCqshRtXJqDAFyDD5uykaZYZhepM=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mMPYz-0006Nl-89; Sat, 04 Sep 2021 08:54:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
Date: Sat, 04 Sep 2021 08:54:04 +0200
In-Reply-To: <871r65ab7q.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 03 Sep 2021 19:13:45 +0300")
Message-ID: <87czpou8z7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Indeed,
 text-scale-adjust
 could be trivially modified to use > repeat-map that supports
 repeat-exit-timeout.
 But the problem is > that this feature is available only when repeat-mode
 is enabled. > M [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Indeed, text-scale-adjust could be trivially modified to use
> repeat-map that supports repeat-exit-timeout.  But the problem is
> that this feature is available only when repeat-mode is enabled.
> Maybe not a problem to enable it when the user wants repeatable keys.

I think implementing text-scale-adjust on top of repeat-mode would be
good -- and it could just enable repeat-mode for itself temporarily, I
think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 05 Sep 2021 16:43:02 +0000
Resent-Message-ID: <handler.21634.B21634.163086012931728 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.163086012931728
          (code B ref 21634); Sun, 05 Sep 2021 16:43:02 +0000
Received: (at 21634) by debbugs.gnu.org; 5 Sep 2021 16:42:09 +0000
Received: from localhost ([127.0.0.1]:50892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMvDa-0008Fd-F2
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:42:09 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:59637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mMvDY-0008E6-Ss
 for 21634 <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:42:05 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 37DAE100003;
 Sun,  5 Sep 2021 16:41:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN>
Date: Sun, 05 Sep 2021 19:40:58 +0300
In-Reply-To: <87czpou8z7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 04 Sep 2021 08:54:04 +0200")
Message-ID: <87pmtntcl5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Indeed, text-scale-adjust could be trivially modified to use
>> repeat-map that supports repeat-exit-timeout.  But the problem is
>> that this feature is available only when repeat-mode is enabled.
>> Maybe not a problem to enable it when the user wants repeatable keys.
>
> I think implementing text-scale-adjust on top of repeat-mode would be
> good -- and it could just enable repeat-mode for itself temporarily, I
> think?

Maybe a new mode transient-repeat-mode could be created.
Then text-scale-adjust could temporarily activate
this mode instead of using set-transient-map.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Sep 2021 08:29:02 +0000
Resent-Message-ID: <handler.21634.B21634.163091693310381 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Juri Linkov <juri@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.163091693310381
          (code B ref 21634); Mon, 06 Sep 2021 08:29:02 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Sep 2021 08:28:53 +0000
Received: from localhost ([127.0.0.1]:51675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mN9zp-0002hN-M4
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:28:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:32956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mN9zk-0002h6-Pt
 for 21634 <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:28:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cLXZOX0M7hL+2lwRUqhLOEnTY6H23yOWuKgjSCA7YU4=; b=UwW9L63SOCdvTHbFZ306SS0Nny
 8XNLsiaaX/v3HYT61s8BZAER7R74n5tH48WRgrie6XnDCOCGxNp9VbU1cF6G+4ZgdiMwL3/5f6ep0
 OYRXfQwo5nQE9314NO6HRzMA82dtrpZtAgoTxmZ+at7t9HpwSA5KqtN1ZxCtsadhZ9qI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mN9zb-0007rK-TK; Mon, 06 Sep 2021 10:28:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
Date: Mon, 06 Sep 2021 10:28:38 +0200
In-Reply-To: <87pmtntcl5.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 05 Sep 2021 19:40:58 +0300")
Message-ID: <87fsuikszt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Maybe a new mode
 transient-repeat-mode
 could be created. > Then text-scale-adjust could temporarily activate > this
 mode instead of using set-transient-map. Yeah, that's a good idea. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Maybe a new mode transient-repeat-mode could be created.
> Then text-scale-adjust could temporarily activate
> this mode instead of using set-transient-map.

Yeah, that's a good idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: text-scale-adjust suggestion
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Sep 2021 15:43:02 +0000
Resent-Message-ID: <handler.21634.B21634.163094292427739 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 21634 <at> debbugs.gnu.org
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.163094292427739
          (code B ref 21634); Mon, 06 Sep 2021 15:43:02 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Sep 2021 15:42:04 +0000
Received: from localhost ([127.0.0.1]:54272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNGl2-0007DH-4S
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 11:42:04 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:37289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mNGl0-0007CD-LB
 for 21634 <at> debbugs.gnu.org; Mon, 06 Sep 2021 11:42:02 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id BAA216000F;
 Mon,  6 Sep 2021 15:41:55 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
 <87fsuikszt.fsf@HIDDEN>
Date: Mon, 06 Sep 2021 18:34:47 +0300
In-Reply-To: <87fsuikszt.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 06 Sep 2021 10:28:38 +0200")
Message-ID: <87eea1hhzc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Maybe a new mode transient-repeat-mode could be created.
>> Then text-scale-adjust could temporarily activate
>> this mode instead of using set-transient-map.
>
> Yeah, that's a good idea.

Another command that could use it as well is 'indent-rigidly'.
Currently it's too inconvenient to type C-g to get out of it.
Exiting after a delay would be a better option.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: [External] : bug#21634: text-scale-adjust suggestion
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Sep 2021 22:16:02 +0000
Resent-Message-ID: <handler.21634.B21634.16309665411630 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Juri Linkov <juri@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Eli Barzilay <eli@HIDDEN>, "21634 <at> debbugs.gnu.org" <21634 <at> debbugs.gnu.org>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.16309665411630
          (code B ref 21634); Mon, 06 Sep 2021 22:16:02 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Sep 2021 22:15:41 +0000
Received: from localhost ([127.0.0.1]:54666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNMtx-0000QC-0U
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:15:41 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:40122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mNMtv-0000Q4-Bf
 for 21634 <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:15:39 -0400
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 186GptcL009960; 
 Mon, 6 Sep 2021 22:15:38 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=zb1Q5zeYW2YK3TwxdxijX9fVR0ZPduiumm7yJmwuxQU=;
 b=G3OZfTGXEQEU4VfbPjk11OaiG7TZrGBdgzdP/zLzGrcnmP5wzBC61Hi14DnScBZSZBFn
 R0lwPrsSgBvBdtB+ECCQtZB2M9YZ3LlJ751Jz4eA7HgJCqrZVBXfODxXtELPqqSoTnoX
 5sB7hxF1ShcZqE2Io/uSP/TPzGuL43tUlOFxFQsirOkXN8E6TfaK7628kGQugtP9/dW0
 Ov/JjG62v83acDDyIKhxkrFDq0JvHiBR22fWEZNPrPA0EX62+ssBHq+YTK27p3TtSUek
 whmZh79Yt9XSlJ1GAMHtqsDRgGXCc3M90h3Hv2N1RC6CP3i/rnZ0MRu+cwKT2yJOFVEv Zg== 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=zb1Q5zeYW2YK3TwxdxijX9fVR0ZPduiumm7yJmwuxQU=;
 b=IvhGX70TmvQKaMiWS3Mwff51dpawUAi2gDhZz/dYZvYpJD+QQuYymmoJ8ZBbGVks2hRv
 f2fMtdGZOLVZ2/4YaiG8T2Ro4RI37qdf/lWfgwIqTWGmBREiFL33BmutEMnGEBhTEtPx
 52sJK9LLYvtdD0MFyzD+qOm8rxho8Id1Crkmusbs3JmL70xf8XX0uzeepGI7BICF0+17
 4C8kpg0adcC0gocXhkZ1ed1f1LAFMNJfo08RhTHLbrEuPbkbDBVe6cPGxtqN8FCYg34b
 PaFCJCeFBfiSAASVvsylmlmFknDZtTbuR1wYmw1Jo7lM8sWCjLo4xkBVkOJsj3bg0WZG GA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3awpvn89bk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 Sep 2021 22:15:38 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 186M5vvK173822;
 Mon, 6 Sep 2021 22:15:37 GMT
Received: from nam11-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam11lp2171.outbound.protection.outlook.com [104.47.57.171])
 by aserp3020.oracle.com with ESMTP id 3av0m3np70-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 Sep 2021 22:15:37 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=d2X98E9yAMexDHqc2xxKiV19pdTRL1JOFS8GX6a5vdp8e8eGxrU0DFlp/lEZhq2DPWwYy3nzy5qKPCBoMS8Kkg7yLUzYK6qtdyrsv2hn6kxWOeoA11tAYqbUqWjn0is8I9JKSm4/5JLLdOJSH3yEcdtwK/FWkLXpqBBR/vzX0gMCKx/tQ0PlqEtpn1WllmkoGTXTgzJJNDtKj/IpUoOvDyBkYiMFoelMH8i0X+G/CmfA8zEPxd52Z3flH+wb7haL/5aTfkukL+t1LwTQ55yP5CT4aEni1JucfpbbQUr/WKk77NHa2wITmX236UodgkoFMtLOTHFmS56stBNWtrTB+Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=zb1Q5zeYW2YK3TwxdxijX9fVR0ZPduiumm7yJmwuxQU=;
 b=hLpRFhVlyOQun5Ts4e3ZTW5elgVJz5leTMnpVCJip36t+kq7g4ZYW+g+RqL0jw42xFv4kQXmgvw4Ma96rcDkqa7WlmTwzQ3Xwwbv4LpYdCWjadueKm0YKw0WDxzbKOWtE8hfYW/GEXrAyt5sWiffYTYk+l6vZhzm5XvqKl4awuJL/OR0a59owsyV7iZerpL6qZUX7XAsO950YamiFbYxprRzjrRjgg16N5NPmkoBK79KpwLJHsKpGGqxmnVK3oIG0GtvqA9y6tn5BAXgzArOhq1TOf1u7oXzJOgQBqoB9HAWYFbO8ZTBznwEWVUERY0aiLJ5J4aJWxc82o55DAto1g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=zb1Q5zeYW2YK3TwxdxijX9fVR0ZPduiumm7yJmwuxQU=;
 b=EstCEOydeeORPKX/HBnqMn5QU7u/l0RkDfNc/j4BNlY2YBevT9n7X7qO7IkHScfV/bO1v+LQwpy6f7PbhGA+vbREz11G/r0Ky3WLY16Fv30yg7SPmgtzaNALXtU4vhZAT1keGFQKS5KwCg5nEyyNItmcpqsTjF+g/jj8Zik74b8=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB2757.namprd10.prod.outlook.com (2603:10b6:a02:aa::32)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4478.19; Mon, 6 Sep
 2021 22:15:34 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%8]) with mapi id 15.20.4478.025; Mon, 6 Sep 2021
 22:15:34 +0000
From: Drew Adams <drew.adams@HIDDEN>
Thread-Topic: [External] : bug#21634: text-scale-adjust suggestion
Thread-Index: AQHXozXkdHGeNl59/kOKKjdYYzC/06uXkaKQ
Date: Mon, 6 Sep 2021 22:15:34 +0000
Message-ID: <SJ0PR10MB5488DEB83233F5557B33170EF3D29@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
 <87fsuikszt.fsf@HIDDEN> <87eea1hhzc.fsf@HIDDEN>
In-Reply-To: <87eea1hhzc.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a88b18c1-b640-4a20-a679-08d97183d8f8
x-ms-traffictypediagnostic: BYAPR10MB2757:
x-microsoft-antispam-prvs: <BYAPR10MB2757AC3A5573CC3098714F9CF3D29@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: AoqdY5h+J4//84dJuqhNsUxQumKmYvnO8V4IE2CBiPYM8c2FgPA6Qda3HUvOhaoZwMp+aBD2BzDorcOzMSs5Ftl9sveHnkHW1yGy6o5Iin+Trp3ay8FwpOTsoZp3JK+0k5YJzmtZMmgd9oF61ukXdIWXIebEPvqtq5BYec+OL/D7cMHx+luSVAYRdONAyXgnIyaxp4EfvhapuDM7WNkNffKvbJh+SGj6ZCmJ79VelUMHOlK2MD51it44cxNfrfkmejOK69pKJBnp0tL10xxZF2mjpE7jRnR9CbA1XKc/Dams4wfeRyi6DDCTNVI/k0q35CSBNRJioeKZ8VhAcLwa77Ev4ygStXdvB/JtqYlo62hDevAXfgNn1NxSjI6epdVzhObEgJG0915Dp3ooN5xZIunZeYvBcDyXtokannubhVS29ou1QTsLoZoAmYcgz+MqhwFkh/YcJYkyh8GxTXFTENLGKqbM8/BqxyTTWudySsS9eQrVBGhLA5WrXjD1Dihs2CGrniaieiLzb80kGqiDjBq/rkj2QlUEOScgnud06rHNoRjVT+J0pQrn9MEJMwc9kdy7lv1Wt3JgZ55VJGDIT7jdnYtYOQcYpBNmbGjhnUaaPpVB2cAT7+aY1VDH0Pc+Lg3+92uSgAvgDM24osRox8mEJ1aDd4jJ/MmtUsNUbUmd1hYmQyGB57O09Cs4z1DBwQJVFWpw9Sma7KRT1a8V8w==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(136003)(376002)(39860400002)(346002)(396003)(2906002)(8676002)(316002)(7696005)(5660300002)(38070700005)(186003)(4744005)(86362001)(6506007)(66446008)(4326008)(8936002)(55016002)(122000001)(64756008)(76116006)(66476007)(66556008)(9686003)(478600001)(33656002)(66946007)(38100700002)(110136005)(44832011)(54906003)(52536014)(71200400001)(26005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: 29wtLhg8uLu3NxU0aMWosRG/jHxF5BqVBaqFVoQvkUpHfFs0emKKxs4Ae2tX46AjllM3hx8nZHLqLXYBC5KAzsIMrdJJTxSL1axARZutbe5df0UMMurrv0XnwzHz+kyvjp+iIDWQljPwh1aoYwkq+UjyOVMRUXD8KX2bn8NPRou4KXolKGlf9a783Z+7ihSKaGRW/44fEz+IAhZaCc0ic50TqveK2i8twMIOskG/rLH557o8lF0yiFJ1HQ40kfT9g7zhtp6x4AAi/kA9ClJ3QVAjwTtuvjbwM1itJucgnkzrEHnblPwwuACMuo2/0bUR1sL+bMRZEPSEVEMdbrblHxGpVwGoqj0FCX71W7y/1hqRDp+Ioq+jkWvl6ZyUknJqM0SlivMQTKhj8sn5eJXoDr4A9gOlmr/zl9Mb+MWnvNzQ08Sz1IuiMiYPiB3zdyV/QIQQz1dbmQC+WBvhVy19UHz0hBPo8oQhxdXZ5i99Mrw7D77Q/DoN8JK5BWq+hkz+RjAQJT9xTgcc/sLhOXN0Xo1wbGon5MvkzgjhF8cVWrnCTrle35wh+NGWQeS6rNIJR3tkBvQES+kVIuLMCp8UKDdu0g4wPYeenHtm6zQ5ll17w1uPQZKMi/iy6cn68ol7Ui+la8yQlqTQbeB3cBHYR0JRuFyIFMaHKeR8n6jmljEnnYH15bCqRNvo2dRc0URmzYI18FSxfw+tC37+VTdTThMf8gNV6g4OR/mR0gW2NxrO/MY6ydA6ttRr0vb2fTabZRWc9LQJkke+A/G5aiI/dZs3scNs6i8YE3POpp6SPFepoLgYaYjSIgvUwOgn+8vcHuWieWc5X5Pg84zNyJsx1oySHkuSAL89t/oqC3BREltooFKhHC8n5W6vO1acAhYx7X8P0/8qVJoDlppu4xGqp/Grx2EinQ4HBsXz5zFxb5eKKrXJ+cF8CPznVeXiXDQPcBk591oEaHgFljnQxhOX+0oFMhPzAdVE/8dHW7lox84VSO78Y1ortJquSwqKKNS6MmG1XSmAwrM4xcbJuUtx7biw283pPesz6xtSPusruXi+6A/4J61YNh+C7lfU4JOMDHMxEhHoum96EeLa804KKAK5iIckm9lRKYwOFqpCTN0gjvfRKK4SSl3UPus5+TsfviLXaWOFIZ2HlwHrfWJzVotNlXPyKkTn/B3HiBGZ6UH8LCx9XVhXYWc3qO8jUv2hhR419aubETyVEHlnhmvxRp76GFs9ExPSXtsNTXDScBVp3bKpAr2Vu4+0c2Z9rLYAXHj7rIEAtkxy4i4PK89PmzLBnRbOJ+aP3BdB3PjHxV0=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a88b18c1-b640-4a20-a679-08d97183d8f8
X-MS-Exchange-CrossTenant-originalarrivaltime: 06 Sep 2021 22:15:34.3448 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: XFRquKHzZheDuYgpyZLZTF8vlW/3wwn3Q6ZXX0qubCJu/Lub2pk0Jch/Wxi5kn31aPLCbSlOPKIH/GqA4/KtpA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB2757
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10099
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 adultscore=0
 phishscore=0 bulkscore=0 suspectscore=0 spamscore=0 mlxscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2108310000 definitions=main-2109060140
X-Proofpoint-ORIG-GUID: Fu8JAay-JtLtE5N515RtowKFKZxUaJWR
X-Proofpoint-GUID: Fu8JAay-JtLtE5N515RtowKFKZxUaJWR
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Another command that could use it as well is 'indent-rigidly'.
> Currently it's too inconvenient to type C-g to get out of it.
> Exiting after a delay would be a better option.

Not that I care much about this particular fiddling,
but IMHO, `C-g' to "get out of" what is essentially
a modal, or near-modal interaction, is emacsy and
makes perfect sense.  Having a time-out "get out of"
such contexts seems to me quite wrong & unfriendly.

(Again though, not much concern on my part, for
quitting this command's repeating behavior.)

Timers do things silently, at moments users are
often not aware of.  And users certainly don't want
to _wait_ for a timer as the way to initiate or
terminate some action.  At a minimum there should
be a way to quit on demand (i.e. do it now!).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: [External] : bug#21634: text-scale-adjust suggestion
Resent-From: Eli Barzilay <eli@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Sep 2021 22:31:01 +0000
Resent-Message-ID: <handler.21634.B21634.16309674363052 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Drew Adams <drew.adams@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, "21634 <at> debbugs.gnu.org" <21634 <at> debbugs.gnu.org>, Juri Linkov <juri@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.16309674363052
          (code B ref 21634); Mon, 06 Sep 2021 22:31:01 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Sep 2021 22:30:36 +0000
Received: from localhost ([127.0.0.1]:54677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNN8O-0000nA-BY
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:30:36 -0400
Received: from mail-vs1-f54.google.com ([209.85.217.54]:36567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eli@HIDDEN>) id 1mNN8M-0000my-KL
 for 21634 <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:30:35 -0400
Received: by mail-vs1-f54.google.com with SMTP id f6so6691634vsr.3
 for <21634 <at> debbugs.gnu.org>; Mon, 06 Sep 2021 15:30:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=barzilay-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=AfxxEtcpuES1dbr+o+6q4UW9Jw1uI5YvyGUUsjETidI=;
 b=cAElfvWKLfZmGwSbSyamV5by3wNqUe+DnxwONkckg5ZFQcqlDAKBbzSplaCzf3O7dJ
 M5OU1ZqIuMDzUj7z7OJtKdHcAUGCZA/+yhrO18eP/KkMtgMwBsDas6S9nreudU3y20PG
 HqmH7ekmB/zpHgj6FcBTSJWtljESscoBhSRf++/I8+AoXc3AEv0YhxscMcq65rBOYbIE
 iyMF3y7ZfZia9o2ZldX52YDdeEsuCwbF+Tc4GcLkU3fThiEBPaXIp2RGj8Ny1nCkG/49
 8bLxGmA2hgqHXMWx8msC5XYcZJenAPQC0goKSgHxjS+OChCueRffmG2u7adH1fLffWhK
 ZhSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=AfxxEtcpuES1dbr+o+6q4UW9Jw1uI5YvyGUUsjETidI=;
 b=gYw7AQyNsbfyEQTZb03xintLoTNOui1trDXSnR7WYA/vyXuD9jSnln8Pn+bKdwYd5p
 PPrt9Mrpc80maZZYdVhqsJ04ikdIARewMt8IiY3MunX8Z8VtLo9r/T0oCUCwkKs1avmq
 thLV1RW+BGTaEWUb00Wujqxc+8O+APdY4GKo/nOoP2prAatgnWVsG4U8SZcVpC1cvsTf
 pTlrA4VRC4OMDksDccEpXTSawhAqMgPht+gbzAMwqDo1UKPgx/7kxz3hdIqQwctv87Dw
 Q+zjq3SQbe7oZncvKpvEhQskHxNho1BREy1ZdJRkatX16AyLpaSmi7BiSNOjE0JZJXpK
 /Ivg==
X-Gm-Message-State: AOAM530RQASZkjwt0aadyoIdy/5JpPkcEi8Q3s9RU7twsP7MAqv5ktlM
 32pS/xKKHZ9Upi8zF6mS1ka/2Be8b4OrVKjaUajF/VM2xpQ=
X-Google-Smtp-Source: ABdhPJywe5n3erNSxziYnzUmjciDGFzgBBmocUxg5t3UVsCkQsVTsqUn4zuN5a1cDILf7lV4zJ37cAO4XhRTPt8plHo=
X-Received: by 2002:a67:24c6:: with SMTP id k189mr7221929vsk.3.1630967428900; 
 Mon, 06 Sep 2021 15:30:28 -0700 (PDT)
MIME-Version: 1.0
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
 <87fsuikszt.fsf@HIDDEN> <87eea1hhzc.fsf@HIDDEN>
 <SJ0PR10MB5488DEB83233F5557B33170EF3D29@HIDDEN>
In-Reply-To: <SJ0PR10MB5488DEB83233F5557B33170EF3D29@HIDDEN>
From: Eli Barzilay <eli@HIDDEN>
Date: Mon, 6 Sep 2021 18:31:02 -0400
Message-ID: <CALO-guuis=6G91y=yGs-9TquAKHezuxgQR-nu=8kZ3s0XDqXRA@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

IIUC, the discussion was about making it time out in addition to
C-g-ing out and not instead of it.

My original concern was leaving Emacs in the middle of such an
interaction, and when you get back to Emacs, you can easily forget
that you were in the middle of an interaction and be surprised when
keys don't work as expected.  With indent-rigidly this is even worse
since the echo-area message disappears leaving you with no indication
of it being active, which is essentially a mode which is extremely
un-emacsy.

On Mon, Sep 6, 2021 at 6:15 PM Drew Adams <drew.adams@HIDDEN> wrote:
>
> > Another command that could use it as well is 'indent-rigidly'.
> > Currently it's too inconvenient to type C-g to get out of it.
> > Exiting after a delay would be a better option.
>
> Not that I care much about this particular fiddling,
> but IMHO, `C-g' to "get out of" what is essentially
> a modal, or near-modal interaction, is emacsy and
> makes perfect sense.  Having a time-out "get out of"
> such contexts seems to me quite wrong & unfriendly.
>
> (Again though, not much concern on my part, for
> quitting this command's repeating behavior.)
>
> Timers do things silently, at moments users are
> often not aware of.  And users certainly don't want
> to _wait_ for a timer as the way to initiate or
> terminate some action.  At a minimum there should
> be a way to quit on demand (i.e. do it now!).



-- 
                   ((x=>x(x))(x=>x(x)))                  Eli Barzilay:
                   http://barzilay.org/                  Maze is Life!




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: [External] : bug#21634: text-scale-adjust suggestion
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Sep 2021 22:36:01 +0000
Resent-Message-ID: <handler.21634.B21634.16309677143497 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Eli Barzilay <eli@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, "21634 <at> debbugs.gnu.org" <21634 <at> debbugs.gnu.org>, Juri Linkov <juri@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.16309677143497
          (code B ref 21634); Mon, 06 Sep 2021 22:36:01 +0000
Received: (at 21634) by debbugs.gnu.org; 6 Sep 2021 22:35:14 +0000
Received: from localhost ([127.0.0.1]:54688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNNCs-0000uL-5j
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:35:14 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:34248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mNNCp-0000uC-Pz
 for 21634 <at> debbugs.gnu.org; Mon, 06 Sep 2021 18:35:12 -0400
Received: from pps.filterd (m0246627.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 186MTi1C010518; 
 Mon, 6 Sep 2021 22:35:09 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=4ihdJocWgnr6l+LraMFPxFxtVZbnVgtk3t3QnvKFkho=;
 b=NchnvGLeTpG8h/d4YJfTbHTZeEiFOrwGJcelw68SAnlxfdoCwIcUMf7xsq7UYo8U1oTj
 cDfrmROD/U7M2c2Gw28zWqHWx4YhEZrlNxFF0OT///+EEdx/SSWhgPynrL2hPYZL4oTo
 8spAeAMO5KRRY1XgSTcRUzYJEWb+Ek/TWZfP1gm6xNVmwZceZHNYXOuR9UYS9w57Fh20
 ojM9ew4KJZYq2KFIpwnPpVKPz3oXvD75Cm0PKGjvQD7hgKp2gasTdsQz3BT7csbkQsMY
 PN6L6aOgQZj4+gqS3O3pYlwfXc0Ag/i7YB9ELfri1ZHy9Ma4xG85XrcNfXYsS0fFHOjj Ag== 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=4ihdJocWgnr6l+LraMFPxFxtVZbnVgtk3t3QnvKFkho=;
 b=qQ3j0LvR9KkoRFadl+HaOcIdW04uUUhMFYnrm/gi2+FreGltVoRhR/9egZ44NesHAbWU
 WCPvpEkXc3jjtHtiayfgAoal+WQ/4r46N6BvyGihzM6kp/F5kcIO6x5h1UXmrxvPo7H5
 Fryfv1RDF/fIsvs03NFfXFmb4CoG4so6hF28qnyl49h4ta+khXpJr2puOAQqpmiRhw1/
 W/WOM1oazzAWTtKO7bUZhiIoPy03zrJtFsFbx9OUSqrw1cEXXUJbK7bhF8pjiuMx8lsJ
 4fJXmyUhLyoXFnL6ALMsbMJ9TWz7utZHVLFPz5J/ObLMOVSLYK8TI4lWqkKZ9WtcQAzR yg== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 3awpwkr9fu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 Sep 2021 22:35:09 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 186MU6Ko165233;
 Mon, 6 Sep 2021 22:35:08 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2173.outbound.protection.outlook.com [104.47.55.173])
 by aserp3030.oracle.com with ESMTP id 3auxucrgsj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 06 Sep 2021 22:35:08 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=iR9o8dgTXvO0ewDy9MkD2sqKqQJ156gxEpLHh3vgrnYRBKSvHFa19JcJHXhQawW//JrdC+bkkLXAyCfV2GvY18+ALOwkEQ9tZftFpdl9s8afFAwASF9YaMs5Jc2mAo8Yirl8eG8nbdkMoW8QbdBeihgQGuDpl2e+4x2I6qBvCyGZG6j6y9r1DoqBjum8xxwO8kMk6OsS1hX5iSaQZ1VrmbLBYBjv+bRx2MyNq3wM6zDmEBbgV7B4kylNLLgUF/JmWt7jBiEE+KlPtYFIY2AL2+9FQXS3+tFpY6QaMoWLziU/2CcxJ21duiMN9qguC6odW7YE0n9S0rsoyxyfP6K8PA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=4ihdJocWgnr6l+LraMFPxFxtVZbnVgtk3t3QnvKFkho=;
 b=Kqg+6Yc8D7e7pQZ/D30+8f6A/tUM8CQSbGRmaxWbH7HfkRCjahPVSQ5el+KMwT9SODmR1tjsb8voYAKbtSHyeENafoS1az5Y5YKHbJR1HiodNO1ct6Vq1a2QOf8awPJMNctMSAHEZoerSWw53NcZr/bIQO/mwXCjb/spiZXO2dmJwvTEOmXNHqoDYVtX9XzdjOz39tJgEpTV5BpzEYLLmmJbwZsTCw4R2qj1lNWRRQ2JXtEAP6eqkHse+nTF/bFS2lzfB6W6tXYJy5hdoWJYhKSJFbvQMBRW7Mw9v+Cb7I+WDuK7w5xzUGjconIyk+Z7jwDFdQ6/fMLeNmoHbyAawg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=4ihdJocWgnr6l+LraMFPxFxtVZbnVgtk3t3QnvKFkho=;
 b=IMdWHDYXjZH8Iy8hSpU4Nxo+SOOYdzhmtGYAqef6CXcNGt5O+6q4WTxmn+GqSMKT5EFwm6pyETF+4VbJYMgGZj9mVO0105QducQs56NalgMHq7wF1FG0TT2r0HBG56vx/ay5+PX7wKDtIg++8dfzj6rwB99phwhwz9bhs+/zDM8=
Received: from CO6PR10MB5473.namprd10.prod.outlook.com (2603:10b6:5:355::21)
 by CO6PR10MB5473.namprd10.prod.outlook.com (2603:10b6:5:355::21) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4478.17; Mon, 6 Sep
 2021 22:35:06 +0000
Received: from CO6PR10MB5473.namprd10.prod.outlook.com
 ([fe80::fd0d:9a0e:7b36:560d]) by CO6PR10MB5473.namprd10.prod.outlook.com
 ([fe80::fd0d:9a0e:7b36:560d%8]) with mapi id 15.20.4478.025; Mon, 6 Sep 2021
 22:35:06 +0000
From: Drew Adams <drew.adams@HIDDEN>
Thread-Topic: [External] : bug#21634: text-scale-adjust suggestion
Thread-Index: AQHXo27OSvRe75SAb0O6lANKWq3Vq6uXl2Gw
Date: Mon, 6 Sep 2021 22:35:06 +0000
Message-ID: <CO6PR10MB5473F1778ACAAD51C858E4DEF3D29@HIDDEN>
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
 <87fsuikszt.fsf@HIDDEN> <87eea1hhzc.fsf@HIDDEN>
 <SJ0PR10MB5488DEB83233F5557B33170EF3D29@HIDDEN>
 <CALO-guuis=6G91y=yGs-9TquAKHezuxgQR-nu=8kZ3s0XDqXRA@HIDDEN>
In-Reply-To: <CALO-guuis=6G91y=yGs-9TquAKHezuxgQR-nu=8kZ3s0XDqXRA@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: barzilay.org; dkim=none (message not signed)
 header.d=none;barzilay.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 9c48beaf-85ce-4e61-87eb-08d9718693c8
x-ms-traffictypediagnostic: CO6PR10MB5473:
x-microsoft-antispam-prvs: <CO6PR10MB547346AD344046DBF87D420FF3D29@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: yNFp0UAHcibRFKYuuzM4nPFq6+4G35GXRDBoTC/okY4SncrVvfJKhsKJu0b9i/dZ3paJ8kWVyTz6T8+cIkWF5lSN52dgHDtByZcVQUXCw/8jpDcCf+MbnjE6ZdqUZHK7PmR3CJNm2t/rpHKLfIWrlT2MPiVSLVli4y0SzJeR5UMc7eh9Ck1fHZHkNle1PQJp0qr5ldcHRCmsVFtiQN8pPCI3RT3C7HVfTJlPSxt9c5A/Ng7gOVzt/VHVxcxeMLdb+0Wd7/mMhU01PMEx3UfFxEi7G9JYSqLpsmL0m1TFy1mdq39zdaywsq4wODN73owgH+DC3EBaASkJsugP/6lUV1S0KmemPSN7F2O6pHJvd2WewAnB0y686tKNZmcjZh5M0JxEsuVYK65TU/N3d/15nSFHWrykH4ht8PfetU5KFvLzBSg6eNFQz5QVTa3E3JgMaUEjGbxSHDTimEMxaf/HqdTC4cn7uxZfFSNMQWebpa6COuuKQych7F+zV/2c3ERHE1UMyEbrL0TzhnpFd+kvk3irUsZbIJw/DqgnHJxBPp0XdxKeN99gqd7U0MKs8TIGsOC99jllq5GU9RF/9hifgDxIKKS2Fe7O+IykZxwHoLPEZonYaJK3NVrX9upNs586dokJhxeY6N+UYjRL7a+9Ererdk1C7S4kMwI1usRdBwq7QeAC1lybxluXaBO9UklaEh+YNDMcl/SecZ2yOvWQxw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:CO6PR10MB5473.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(186003)(76116006)(55016002)(8936002)(86362001)(7696005)(66446008)(66946007)(71200400001)(508600001)(6916009)(6506007)(83380400001)(64756008)(66476007)(8676002)(66556008)(52536014)(9686003)(38070700005)(4326008)(26005)(4744005)(33656002)(316002)(54906003)(122000001)(2906002)(38100700002)(44832011)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: 13WeiX0lwh4pX6pKfGwA3Jv1u3IJXjLmuuuxyk0gakq1bR9UlSs80IyoFTgIs6CK7+RibFZbfAXEHWhA2t7Nnydb3XkUBhmth2ZG1r8AdN/gjWEPtpBJqPJmo9Vq4uWbSqzyYmgJtvUMiNhu48WDqEml/k7R3dVfqoMLGzG5aupknOCFZUOPxSZi8YM28RdE35LBfRVS//QQ3yLJSLKWwI5BvLqcWILlOr48mKLx/vYXhQckgLWTjPo36hYx8um71vij8fdt/5eUo5gH9Vd8iCfHsT/mkLdaaH0HV1QgC+U1QCJAxJRKK8izpJVglwJaSSTrA1/eQknXvrEWmaOfrJhIa6zBBp1kCIAwI+oQqR30GOoF9M8WlyA8KkZ3qVeel2gffxVK1KszbpHf0+Od5zKw6/vqzCN7m3sldX9njyNsyf8jVWWZUxDFEbwaql5wMCjKYGnadxN32mJTJ7iT0egGUBnJW2O3be9La6keN7ArwTs/VoFgBk09XDQrgqTEyyGwMuTKkYJ2JvRkIWq/lDiX1H5dS2cuciJP6lTTwKDxNndyj0P+gxVdroucyoRa++1TeM2uEzRnwK8SgPn5wYyf0sL+t3LHf3CIFFgq6myK7oTeKR5AkNM8AdxoysoaEZugTbyQdvppapJm9VDckFzxw/vuKuZehzqhxzayfKPc3zg00wy8HQvgdilkb5Rr0GgB9Rq2wf9EVfnsMWufEFa9FZA9yGr/HzgdToBX9riCWqKidK8d/oQLaNMKvId6yqfIS4LQw4UcIiM3U6BleMRum2ht5x+2M35q/3CdL/tJkXEopiz9GHfQ2BgHJ0vNCmgUSQ/9wq/p+L/4AQEc7hHD8DAQvc5kz/cJFiCn69S4B6qskA9njzLgkgELfxZV2IPn78cJf1VPDgcj0lZKj3chXlTFb4tR29e5xWHZ3EZ/tSmFKXwRqhT2RgZLbjpPnUUdG1D+e0RMZ4yFwncxovMKPS7FDBuMgFH9qfjp8Yl0oZeb2cPIB+sfejIfEMNp/9k9yPbgmupYmO+ra90XW28omFCjUf61v3aIAQBQvFezReiU2VzJUSnpqCW47zlEvYmAOEdE7eLe0pnlFqlYDM/h6lEEhNafKSsluhkc3y8j4jOXh5NPzEz1HJUQ3aIbcdrF2axZ19djakakun5RQIT5UVdP9hxThIpWtdQexGh/w6e7/t4BKlLu+q1K9MVTKeTPK2zGhFW3l3BnBWjM/DMjUH1JdPVEbSVCdEETSA8eE+q1EHO69JHGunqdVzrheI544pNuEg0AyEOFqdeUwZCwhJnULlfqU/sQa8fttHs=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: CO6PR10MB5473.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9c48beaf-85ce-4e61-87eb-08d9718693c8
X-MS-Exchange-CrossTenant-originalarrivaltime: 06 Sep 2021 22:35:06.7459 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: qZ3vuIYqMqk2Dfpamz8NwPqc6RnBeYSmGvlradpiB3V5Dk2RJmyzzlUjY6y00ONtjMiAhPctZtGABIrfaV2Rdw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO6PR10MB5473
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10099
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 phishscore=0 suspectscore=0
 bulkscore=0 spamscore=0 malwarescore=0 mlxlogscore=980 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2108310000
 definitions=main-2109060142
X-Proofpoint-GUID: FifZTZ06Ru35bnGlC6ULfzL8O2NkEVbx
X-Proofpoint-ORIG-GUID: FifZTZ06Ru35bnGlC6ULfzL8O2NkEVbx
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiBJSVVDLCB0aGUgZGlzY3Vzc2lvbiB3YXMgYWJvdXQgbWFraW5nIGl0IHRpbWUgb3V0IGluIGFk
ZGl0aW9uIHRvDQo+IEMtZy1pbmcgb3V0IGFuZCBub3QgaW5zdGVhZCBvZiBpdC4NCg0KSSBzZWUu
ICBTb3JyeSBJIG1pc3VuZGVyc3Rvb2QsIGJ5IHJlYWRpbmcgb3V0IG9mIGNvbnRleHQuDQoNCkkn
bSBzdGlsbCBub3QgYSBmYW4gb2YgaGF2aW5nIGEgdGltZS1vdXQgZW5kIGFuIGludGVyYWN0aW9u
LA0KaW4gZ2VuZXJhbC4gIEJ1dCBhdCBsZWFzdCBub3QgaGF2aW5nIHRvIF9kZXBlbmRfIG9uIG9u
bHkNCnRoYXQgd2F5IG9mIHF1aXR0aW5nIGlzIGJldHRlciB0aGFuIG5vdGhpbmcuDQoNCj4gTXkg
b3JpZ2luYWwgY29uY2VybiB3YXMgbGVhdmluZyBFbWFjcyBpbiB0aGUgbWlkZGxlIG9mIHN1Y2gg
YW4NCj4gaW50ZXJhY3Rpb24sIGFuZCB3aGVuIHlvdSBnZXQgYmFjayB0byBFbWFjcywgeW91IGNh
biBlYXNpbHkgZm9yZ2V0DQo+IHRoYXQgeW91IHdlcmUgaW4gdGhlIG1pZGRsZSBvZiBhbiBpbnRl
cmFjdGlvbiBhbmQgYmUgc3VycHJpc2VkIHdoZW4NCj4ga2V5cyBkb24ndCB3b3JrIGFzIGV4cGVj
dGVkLiAgV2l0aCBpbmRlbnQtcmlnaWRseSB0aGlzIGlzIGV2ZW4gd29yc2UNCj4gc2luY2UgdGhl
IGVjaG8tYXJlYSBtZXNzYWdlIGRpc2FwcGVhcnMgbGVhdmluZyB5b3Ugd2l0aCBubyBpbmRpY2F0
aW9uDQo+IG9mIGl0IGJlaW5nIGFjdGl2ZSwgd2hpY2ggaXMgZXNzZW50aWFsbHkgYSBtb2RlIHdo
aWNoIGlzIGV4dHJlbWVseQ0KPiB1bi1lbWFjc3kuDQoNCkkgdGhpbmsgSSBhZ3JlZSB3aXRoIHlv
dSBhYm91dCB0aGF0LCBGV0lXLg0K




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#21634: [External] : bug#21634: text-scale-adjust suggestion
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 07 Sep 2021 08:18:02 +0000
Resent-Message-ID: <handler.21634.B21634.16310026245087 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 21634
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Eli Barzilay <eli@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, "21634 <at> debbugs.gnu.org" <21634 <at> debbugs.gnu.org>, Juri Linkov <juri@HIDDEN>
Received: via spool by 21634-submit <at> debbugs.gnu.org id=B21634.16310026245087
          (code B ref 21634); Tue, 07 Sep 2021 08:18:02 +0000
Received: (at 21634) by debbugs.gnu.org; 7 Sep 2021 08:17:04 +0000
Received: from localhost ([127.0.0.1]:55387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNWHw-0001Jz-1v
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 04:17:04 -0400
Received: from mout.gmx.net ([212.227.15.19]:42525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mNWHu-0001JR-Fb
 for 21634 <at> debbugs.gnu.org; Tue, 07 Sep 2021 04:17:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1631002611;
 bh=z7Vf0/a6AQiKAEN+cIfe4gIh6LG5AVPbBp9BAj1mEMo=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=b67CplRnTrdM+FVJ/BnHzfP+QptRmdqs3rkUlK2aGHbV02F8orLI/LoULYmKZF5uc
 5h39DKioBPVtqbiFF+RnDpToBkF5rwLh97ni8vQc2UVe+v3EYndnvgQEb9lUaC7/Zk
 hC0QTGZatZMc4A/k3efSPxi7hjsjqLpocKQjgd9A=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.31]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MbRk3-1mylmU1yq9-00bpzf; Tue, 07
 Sep 2021 10:16:51 +0200
References: <22035.47283.76000.848103@HIDDEN>
 <83d1wsxcuz.fsf@HIDDEN>
 <CALO-gutwXdOZB+ni5h-zD64dd2uSPfpFCSUsVh2uKaMiJF1ucA@HIDDEN>
 <87zgstyl9e.fsf_-_@HIDDEN> <871r65ab7q.fsf@HIDDEN>
 <87czpou8z7.fsf@HIDDEN> <87pmtntcl5.fsf@HIDDEN>
 <87fsuikszt.fsf@HIDDEN> <87eea1hhzc.fsf@HIDDEN>
 <SJ0PR10MB5488DEB83233F5557B33170EF3D29@HIDDEN>
 <CALO-guuis=6G91y=yGs-9TquAKHezuxgQR-nu=8kZ3s0XDqXRA@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <f42e158c-f08b-b6c3-65bb-3ec0e8d19ab2@HIDDEN>
Date: Tue, 7 Sep 2021 10:16:50 +0200
MIME-Version: 1.0
In-Reply-To: <CALO-guuis=6G91y=yGs-9TquAKHezuxgQR-nu=8kZ3s0XDqXRA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:hELCKrjmEB+kYbvuK1G6x9ZkG9qv4bMwcfdTH92wgclHd+baaiE
 l216HAeUcBqjuAEzUhRM9SgIjHnKs0+bBL8/GQTg3OMigLBE5Idlq6a2ABevI76RE0zh27u
 oK0h0qqCKwglrJzPWRAYaPj5RgHXYFcf+FbmEx63MkuzZPJbZn7C4PcQiOOM97mqKLIiRsQ
 qzgonoykpx1CQ+AwxtOHQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:C1yp374uCtc=:uHrxkLfTTxSZ9FGY/K6WlX
 5ZLRRSeHgy30+QBGT2Lu5rBYI5y+nUbJL42HpMIHDY77bVVyN6bHfzp3L/1eHj5EXc4LXHKge
 1V17IXxViA0xj2/QLki5Iue3xDEP71AEywBqkdpyDs3g97jIhveE1CrTL+3tYobn5157wejKO
 tq659c1EjTFUPPl1ACxhpGVITSq2UzjerqMT35aQ/SqVy3Kbz8c0I7DC5CPuvvO7HR/89kS0s
 jdjXQ8uBEXQZeEngvLiKXlNkuYr2NLb+MmQiAfstoheYiIevKCiavGgnHxBzn5fd6r4Md5D0P
 EHpqIqlYfYuVZcFClhUDltbqHmppR1xNBq0LCeHfuisZ2PGZx4wMDDMXZI7BFCNS5hxEU+eau
 pm4wCJM6+GTRYmiex5P8k533J1P91eC5lCvVpjSeiAK2U4tVW1knQ7TalYsHhN9929ob9H8kU
 ytKmPsa/U737Uk7/qdOsSEBdJLayoLW0b24nOtlzpv+FNHqXn3DQdCSWSfil1ldDHRazao91F
 eHhOqR2HcUTvjLMfhfh2QUVShn7DX3fAs3ErsiA2yRZ7d/T7GmCGz/zmjTe5j82rLB3R/NGxr
 w12K6s9gMhqC53yejJ8JEMVDFJj8uMLfBXk/RUN6mi7+agSuetzdRhjwg3OEO2fQCc4GR+PJv
 maosbT137T5m32IGklz2kS7oRhGGizMwMdvVKPj9Tq4F3BS55nDk6Q5D0cuoYu47RpNX32GAB
 VzOatrApCY1UfFws60iT9kOiF+9L2XlB/K3Htai3qdYCzR6Vaq3oKGLIkRnRApiyCxb8ry7Ut
 S9oL0NfvgAoZjDVzM0ZJ20ATddevZEsA+ePa71G3x2Zwm+orRWc/OBGPyy1oa2mP6THWbf39l
 JmFw70mD4PO1db0KsCjUbl8A2rngT189w7hV0mY+mAl/FEdMZdm2Czc1nLGU0fquoO+7ryOxn
 glJMdfKiS988HMbjvaten3+t705Mz5dQuKKsM7mgb1IcPfv2ndBl9q6gz5F6VknGd141ZkXi3
 DfrwqjUV2ysykgbMvVPimk7KXGeUQrR4kDiVb6X4DHpOroW5aCAPCweDR//lPmKtfghHVYUJy
 lyUNttXZXEKwJKKB9rxlcnUasqszoKieSxkeK1AFKrqNUzXm4kefEICFw==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > With indent-rigidly this is even worse
 > since the echo-area message disappears leaving you with no indication
 > of it being active, which is essentially a mode which is extremely
 > un-emacsy.

With `transient-mark-mode' the region stays highlighted until I'm done
with indenting.  I would never look anywhere else for obtaining feedback
about a transient mode like the one triggered by `indent-rigidly'.

martin




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 5 Oct 2021 08:53:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 04:53:20 2021
Received: from localhost ([127.0.0.1]:39048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXgCO-0002Ru-2t
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 04:53:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mXgCM-0002Re-SK
 for control <at> debbugs.gnu.org; Tue, 05 Oct 2021 04:53:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FmDsWFFD4LFoMyOT5re3zVPPvKz+twBUocyWxqE2s0g=; b=pGwSGPs0l5G1wsCQX/D7QSdXWY
 Z2NK3Grnb/0GDF2GLKpGLxDL4fBQhnTSIVnOr8U9zPTR6C01yX+wwNcJhGR2ppk+qj7VUW2Rgnwl/
 tDA634gaTn+/c/GH1ZXBBIpeETHxMuxADFD1hGzEoB3wE9ZkTi8JDjSdm+xldakOUgi4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mXgCF-00052R-CW
 for control <at> debbugs.gnu.org; Tue, 05 Oct 2021 10:53:13 +0200
Date: Tue, 05 Oct 2021 10:53:10 +0200
Message-Id: <87h7dvam4p.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #21634
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 21634 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 21634 - moreinfo
quit






Last modified: Tue, 5 Oct 2021 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.